Bug 434158 - [AUDIT] printk ratelimiting can cause a regression (panic)
[AUDIT] printk ratelimiting can cause a regression (panic)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Eric Paris
Martin Jenner
: Regression
Depends On:
  Show dependency treegraph
Reported: 2008-02-22 09:50 EST by Eric Paris
Modified: 2008-05-21 11:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2008-02-22 09:50:32 EST
BZ 428701

Introduced rate limiting into the audit code for its use of printk.  This code
makes it very easy to panic the box assuming the user chose to panic on audit
failure.  The most likely scenario?  Load more than about 12 rules and try to
reboot.  auditd shuts down before the rules are unloaded so the audit system
switches to using printk.  We emit a message for every rule loaded so we emit
more than 10 messages (the printk ratelimit default burst) thus we lose a
message.  If the user selected to panic on lost message the box will panic!

I submitted an RFC upstream:

and hopefully noone will object....
Comment 2 Steve Grubb 2008-03-03 10:58:41 EST
Patch was accepted into mainline kernel as: commit
Comment 5 Don Zickus 2008-04-02 12:09:27 EDT
in kernel-2.6.18-88.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2008-05-21 11:10:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.